Problems installing rgdal on ubuntu 18.04 from ubuntu-unstable GDAL: 3.0.2 / PROJ version: 6.2.1

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Problems installing rgdal on ubuntu 18.04 from ubuntu-unstable GDAL: 3.0.2 / PROJ version: 6.2.1

Tomislav Hengl-5

I'm trying to install rgdal using ubuntu-unstable. First I do:

sudo apt-get install libproj-dev libgdal-dev

Then I get 2 different messages depending on the rgdal version:

R CMD INSTALL rgdal_1.4-8.tar.gz
* installing to library ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5’
* installing *source* package ‘rgdal’ ...
** package ‘rgdal’ successfully unpacked and MD5 sums checked
configure: R_HOME: /opt/microsoft/ropen/3.5.1/lib64/R
configure: CC: gcc -std=gnu99
configure: CXX: g++
configure: C++11 support available
configure: rgdal: 1.4-7
checking for /usr/bin/svnversion... yes
configure: svn revision: 845
checking for gdal-config... /usr/bin/gdal-config
checking gdal-config usability... yes
configure: GDAL: 3.0.2
checking GDAL version >= 1.11.4... yes
checking GDAL version <= 2.5 or >= 3.0... yes
checking gdal: linking with --libs only... yes
checking GDAL: gdal-config data directory readable... yes
checking GDAL: /usr/share/gdal/pcs.csv readable... yes
configure: pkg-config proj exists, will use it
configure: PROJ version: 6.2.1
configure: Support for PROJ >= 6.0.0 not yet available, deprecated API
defined
configure: proj CPP flags: -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H
configure: PROJ LIBS: -lproj
checking PROJ header API:... proj_api.h
checking proj_api.h presence and usability... yes
checking PROJ version agreement... no
configure: error: proj_api.h and pkg-config give different versions
ERROR: configuration failed for package ‘rgdal’
* removing ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5/rgdal’



 > install.packages("rgdal")
Installing package into ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5’
(as ‘lib’ is unspecified)
   % Total    % Received % Xferd  Average Speed   Time    Time     Time
Current
                                  Dload  Upload   Total   Spent    Left
Speed
100 1631k  100 1631k    0     0   722k      0  0:00:02  0:00:02 --:--:--
  722k
* installing *source* package ‘rgdal’ ...
** package ‘rgdal’ successfully unpacked and MD5 sums checked
checking for g++... g++
checking whether the C++ compiler works... yes
checking for C++ compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
configure: CC: gcc -std=gnu99
configure: CXX: g++
configure: rgdal: 1.3-3
checking for /usr/bin/svnversion... yes
configure: svn revision: 759
checking whether g++ supports C++11 features by default... yes
configure: C++11 support available
checking for gdal-config... /usr/bin/gdal-config
checking gdal-config usability... yes
configure: GDAL: 3.0.2
checking GDAL version >= 1.11.4... yes
checking gdal: linking with --libs only... yes
checking GDAL: /usr/share/gdal/pcs.csv readable... yes
configure: pkg-config proj exists, will use it
configure: PROJ version: 6.2.1
checking proj_api.h presence and usability... no
configure: error: proj_api.h not found in standard or given locations.
ERROR: configuration failed for package ‘rgdal’
* removing ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5/rgdal’
Warning in install.packages :
   installation of package ‘rgdal’ had non-zero exit status

The downloaded source packages are in
        ‘/data/RTMP/RtmpZtTz9T/downloaded_packages’


pkg-config proj --libs
-lproj

 > devtools::session_info()
Session info
---------------------------------------------------------------------------------------------------
  setting  value
  version  R version 3.5.1 (2018-07-02)
  system   x86_64, linux-gnu
  ui       RStudio (1.2.1335)
  language en_US
  collate  en_US.UTF-8
  tz       Europe/Amsterdam
  date     2020-03-09

Packages
-------------------------------------------------------------------------------------------------------
  package       * version date       source
  base          * 3.5.1   2018-08-05 local
  compiler        3.5.1   2018-08-05 local
  datasets      * 3.5.1   2018-08-05 local
  devtools        1.13.6  2018-06-27 CRAN (R 3.5.1)
  digest          0.6.18  2018-10-10 CRAN (R 3.5.1)
  graphics      * 3.5.1   2018-08-05 local
  grDevices     * 3.5.1   2018-08-05 local
  grid            3.5.1   2018-08-05 local
  lattice         0.20-35 2017-03-25 CRAN (R 3.5.1)
  memoise         1.1.0   2017-04-21 CRAN (R 3.5.1)
  methods       * 3.5.1   2018-08-05 local
  RevoUtils     * 11.0.1  2018-08-01 local
  RevoUtilsMath * 11.0.0  2018-08-01 local
  sp            * 1.3-1   2018-06-05 CRAN (R 3.5.1)
  stats         * 3.5.1   2018-08-05 local
  tools           3.5.1   2018-08-05 local
  utils         * 3.5.1   2018-08-05 local
  withr           2.1.2   2018-03-15 CRAN (R 3.5.1)


I have tried removing all installations of GDAL, proj and QGIS 2x but no
luck - always the same problem with "proj_api.h". What are my best
options? thank you!

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: Problems installing rgdal on ubuntu 18.04 from ubuntu-unstable GDAL: 3.0.2 / PROJ version: 6.2.1

Roger Bivand
Administrator
Sorry, no idea, only ever install PROJ and GDAL from source. Multiple PROJ installs? Does rgdal install from R-Forge?


Roger Bivand
Norwegian School of Economics
Bergen, Norway

________________________________
Fra: R-sig-Geo <[hidden email]> p� vegne av Tomislav Hengl <[hidden email]>
Sendt: mandag 9. mars 2020, 15.23
Til: [hidden email]
Emne: [R-sig-Geo] Problems installing rgdal on ubuntu 18.04 from ubuntu-unstable GDAL: 3.0.2 / PROJ version: 6.2.1

I'm trying to install rgdal using ubuntu-unstable. First I do: sudo apt-get install libproj-dev libgdal-dev Then I get 2 different messages depending on the rgdal version: R CMD INSTALL rgdal_1.4-8.tar.gz * installing to library �/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5� * installing *source* package �rgdal� ... ** package �rgdal� successfully unpacked and MD5 sums checked configure: R_HOME: /opt/microsoft/ropen/3.5.1/lib64/R configure: CC: gcc -std=gnu99 configure: CXX: g++ configure: C++11 support available configure: rgdal: 1.4-7 checking for /usr/bin/svnversion... yes configure: svn revision: 845 checking for gdal-config... /usr/bin/gdal-config checking gdal-config usability... yes configure: GDAL: 3.0.2 checking GDAL version >= 1.11.4... yes checking GDAL version <= 2.5 or >= 3.0... yes checking gdal: linking with --libs only... yes checking GDAL: gdal-config data directory readable... yes checking GDAL: /usr/share/gdal/pcs.csv readable... yes configure: pkg-config proj exists, will use it configure: PROJ version: 6.2.1 configure: Support for PROJ >= 6.0.0 not yet available, deprecated API defined configure: proj CPP flags: -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H configure: PROJ LIBS: -lproj checking PROJ header API:... proj_api.h checking proj_api.h presence and usability... yes checking PROJ version agreement... no configure: error: proj_api.h and pkg-config give different versions ERROR: configuration failed for package �rgdal� * removing �/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5/rgdal� > install.packages("rgdal") Installing package into �/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5� (as �lib� is unspecified) % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 100 1631k 100 1631k 0 0 722k 0 0:00:02 0:00:02 --:--:-- 722k * installing *source* package �rgdal� ... ** package �rgdal� successfully unpacked and MD5 sums checked checking for g++... g++ checking whether the C++ compiler works... yes checking for C++ compiler default output file name... a.out checking for suffix of executables... checking whether we are cross compiling... no checking for suffix of object files... o checking whether we are using the GNU C++ compiler... yes checking whether g++ accepts -g... yes configure: CC: gcc -std=gnu99 configure: CXX: g++ configure: rgdal: 1.3-3 checking for /usr/bin/svnversion... yes configure: svn revision: 759 checking whether g++ supports C++11 features by default... yes configure: C++11 support available checking for gdal-config... /usr/bin/gdal-config checking gdal-config usability... yes configure: GDAL: 3.0.2 checking GDAL version >= 1.11.4... yes checking gdal: linking with --libs only... yes checking GDAL: /usr/share/gdal/pcs.csv readable... yes configure: pkg-config proj exists, will use it configure: PROJ version: 6.2.1 checking proj_api.h presence and usability... no configure: error: proj_api.h not found in standard or given locations. ERROR: configuration failed for package �rgdal� * removing �/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5/rgdal� Warning in install.packages : installation of package �rgdal� had non-zero exit status The downloaded source packages are in �/data/RTMP/RtmpZtTz9T/downloaded_packages� pkg-config proj --libs -lproj > devtools::session_info() Session info --------------------------------------------------------------------------------------------------- setting value version R version 3.5.1 (2018-07-02) system x86_64, linux-gnu ui RStudio (1.2.1335) language en_US collate en_US.UTF-8 tz Europe/Amsterdam date 2020-03-09 Packages ------------------------------------------------------------------------------------------------------- package * version date source base * 3.5.1 2018-08-05 local compiler 3.5.1 2018-08-05 local datasets * 3.5.1 2018-08-05 local devtools 1.13.6 2018-06-27 CRAN (R 3.5.1) digest 0.6.18 2018-10-10 CRAN (R 3.5.1) graphics * 3.5.1 2018-08-05 local grDevices * 3.5.1 2018-08-05 local grid 3.5.1 2018-08-05 local lattice 0.20-35 2017-03-25 CRAN (R 3.5.1) memoise 1.1.0 2017-04-21 CRAN (R 3.5.1) methods * 3.5.1 2018-08-05 local RevoUtils * 11.0.1 2018-08-01 local RevoUtilsMath * 11.0.0 2018-08-01 local sp * 1.3-1 2018-06-05 CRAN (R 3.5.1) stats * 3.5.1 2018-08-05 local tools 3.5.1 2018-08-05 local utils * 3.5.1 2018-08-05 local withr 2.1.2 2018-03-15 CRAN (R 3.5.1) I have tried removing all installations of GDAL, proj and QGIS 2x but no luck - always the same problem with "proj_api.h". What are my best options? thank you! _______________________________________________ R-sig-Geo mailing list [hidden email] https://stat.ethz.ch/mailman/listinfo/r-sig-geo

        [[alternative HTML version deleted]]


_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Roger Bivand
Department of Economics
Norwegian School of Economics
Helleveien 30
N-5045 Bergen, Norway
Reply | Threaded
Open this post in threaded view
|

Re: Problems installing rgdal on ubuntu 18.04 from ubuntu-unstable GDAL: 3.0.2 / PROJ version: 6.2.1

Tomislav Hengl-5

The example below is with the rgdal from R-Forge:

R CMD INSTALL rgdal_1.4-8.tar.gz
* installing to library ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5’
* installing *source* package ‘rgdal’ ...
** package ‘rgdal’ successfully unpacked and MD5 sums checked
configure: R_HOME: /opt/microsoft/ropen/3.5.1/lib64/R
configure: CC: gcc -std=gnu99
configure: CXX: g++
configure: C++11 support available
configure: rgdal: 1.4-7
checking for /usr/bin/svnversion... yes
configure: svn revision: 845
checking for gdal-config... /usr/bin/gdal-config
checking gdal-config usability... yes
configure: GDAL: 3.0.2
checking GDAL version >= 1.11.4... yes
checking GDAL version <= 2.5 or >= 3.0... yes
checking gdal: linking with --libs only... yes
checking GDAL: gdal-config data directory readable... yes
checking GDAL: /usr/share/gdal/pcs.csv readable... yes
configure: pkg-config proj exists, will use it
configure: PROJ version: 6.2.1
configure: Support for PROJ >= 6.0.0 not yet available, deprecated API
defined
configure: proj CPP flags: -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H
configure: PROJ LIBS: -lproj
checking PROJ header API:... proj_api.h
checking proj_api.h presence and usability... yes
checking PROJ version agreement... no
configure: error: proj_api.h and pkg-config give different versions
ERROR: configuration failed for package ‘rgdal’
* removing ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5/rgdal’


The error message suggests that I might have 2 versions of proj, but
when I check pkg-config it all looks fine:

which proj
/usr/local/bin/proj

pkg-config --modversion proj
6.2.1


On 3/9/20 3:28 PM, Roger Bivand wrote:

> Sorry, no idea, only ever install PROJ and GDAL from source. Multiple
> PROJ installs? Does rgdal install from R-Forge?
>
>
> Roger Bivand
> Norwegian School of Economics
> Bergen, Norway
>
> ------------------------------------------------------------------------
> *Fra:* R-sig-Geo <[hidden email]> på vegne av Tomislav
> Hengl <[hidden email]>
> *Sendt:* mandag 9. mars 2020, 15.23
> *Til:* [hidden email]
> *Emne:* [R-sig-Geo] Problems installing rgdal on ubuntu 18.04 from
> ubuntu-unstable GDAL: 3.0.2 / PROJ version: 6.2.1
>
> I'm trying to install rgdal using ubuntu-unstable. First I do: sudo
> apt-get install libproj-dev libgdal-dev Then I get 2 different messages
> depending on the rgdal version: R CMD INSTALL rgdal_1.4-8.tar.gz *
> installing to library ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5’
> * installing *source* package ‘rgdal’ ... ** package ‘rgdal’
> successfully unpacked and MD5 sums checked configure: R_HOME:
> /opt/microsoft/ropen/3.5.1/lib64/R configure: CC: gcc -std=gnu99
> configure: CXX: g++ configure: C++11 support available configure: rgdal:
> 1.4-7 checking for /usr/bin/svnversion... yes configure: svn revision:
> 845 checking for gdal-config... /usr/bin/gdal-config checking
> gdal-config usability... yes configure: GDAL: 3.0.2 checking GDAL
> version >= 1.11.4... yes checking GDAL version <= 2.5 or >= 3.0... yes
> checking gdal: linking with --libs only... yes checking GDAL:
> gdal-config data directory readable... yes checking GDAL:
> /usr/share/gdal/pcs.csv readable... yes configure: pkg-config proj
> exists, will use it configure: PROJ version: 6.2.1 configure: Support
> for PROJ >= 6.0.0 not yet available, deprecated API defined configure:
> proj CPP flags: -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H configure: PROJ
> LIBS: -lproj checking PROJ header API:... proj_api.h checking proj_api.h
> presence and usability... yes checking PROJ version agreement... no
> configure: error: proj_api.h and pkg-config give different versions
> ERROR: configuration failed for package ‘rgdal’ * removing
> ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5/rgdal’ >
> install.packages("rgdal") Installing package into
> ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5’ (as ‘lib’ is
> unspecified) % Total % Received % Xferd Average Speed Time Time Time
> Current Dload Upload Total Spent Left Speed 100 1631k 100 1631k 0 0 722k
> 0 0:00:02 0:00:02 --:--:-- 722k * installing *source* package ‘rgdal’
> ... ** package ‘rgdal’ successfully unpacked and MD5 sums checked
> checking for g++... g++ checking whether the C++ compiler works... yes
> checking for C++ compiler default output file name... a.out checking for
> suffix of executables... checking whether we are cross compiling... no
> checking for suffix of object files... o checking whether we are using
> the GNU C++ compiler... yes checking whether g++ accepts -g... yes
> configure: CC: gcc -std=gnu99 configure: CXX: g++ configure: rgdal:
> 1.3-3 checking for /usr/bin/svnversion... yes configure: svn revision:
> 759 checking whether g++ supports C++11 features by default... yes
> configure: C++11 support available checking for gdal-config...
> /usr/bin/gdal-config checking gdal-config usability... yes configure:
> GDAL: 3.0.2 checking GDAL version >= 1.11.4... yes checking gdal:
> linking with --libs only... yes checking GDAL: /usr/share/gdal/pcs.csv
> readable... yes configure: pkg-config proj exists, will use it
> configure: PROJ version: 6.2.1 checking proj_api.h presence and
> usability... no configure: error: proj_api.h not found in standard or
> given locations. ERROR: configuration failed for package ‘rgdal’ *
> removing ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5/rgdal’
> Warning in install.packages : installation of package ‘rgdal’ had
> non-zero exit status The downloaded source packages are in
> ‘/data/RTMP/RtmpZtTz9T/downloaded_packages’ pkg-config proj --libs
> -lproj > devtools::session_info() Session info
> ---------------------------------------------------------------------------------------------------
> setting value version R version 3.5.1 (2018-07-02) system x86_64,
> linux-gnu ui RStudio (1.2.1335) language en_US collate en_US.UTF-8 tz
> Europe/Amsterdam date 2020-03-09 Packages
> -------------------------------------------------------------------------------------------------------
> package * version date source base * 3.5.1 2018-08-05 local compiler
> 3.5.1 2018-08-05 local datasets * 3.5.1 2018-08-05 local devtools 1.13.6
> 2018-06-27 CRAN (R 3.5.1) digest 0.6.18 2018-10-10 CRAN (R 3.5.1)
> graphics * 3.5.1 2018-08-05 local grDevices * 3.5.1 2018-08-05 local
> grid 3.5.1 2018-08-05 local lattice 0.20-35 2017-03-25 CRAN (R 3.5.1)
> memoise 1.1.0 2017-04-21 CRAN (R 3.5.1) methods * 3.5.1 2018-08-05 local
> RevoUtils * 11.0.1 2018-08-01 local RevoUtilsMath * 11.0.0 2018-08-01
> local sp * 1.3-1 2018-06-05 CRAN (R 3.5.1) stats * 3.5.1 2018-08-05
> local tools 3.5.1 2018-08-05 local utils * 3.5.1 2018-08-05 local withr
> 2.1.2 2018-03-15 CRAN (R 3.5.1) I have tried removing all installations
> of GDAL, proj and QGIS 2x but no luck - always the same problem with
> "proj_api.h". What are my best options? thank you!
> _______________________________________________ R-sig-Geo mailing list
> [hidden email] https://stat.ethz.ch/mailman/listinfo/r-sig-geo

_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Reply | Threaded
Open this post in threaded view
|

Re: Problems installing rgdal on ubuntu 18.04 from ubuntu-unstable GDAL: 3.0.2 / PROJ version: 6.2.1

Roger Bivand
Administrator
On Mon, 9 Mar 2020, Tomislav Hengl wrote:

>
> The example below is with the rgdal from R-Forge:
>
> R CMD INSTALL rgdal_1.4-8.tar.gz
> * installing to library ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5’
> * installing *source* package ‘rgdal’ ...
> ** package ‘rgdal’ successfully unpacked and MD5 sums checked
> configure:  R_HOME: /opt/microsoft/ropen/3.5.1/lib64/R
> configure:  CC: gcc -std=gnu99
> configure:  CXX: g++
> configure:  C++11 support available
> configure:  rgdal: 1.4-7
> checking for /usr/bin/svnversion... yes
> configure:  svn revision: 845
> checking for gdal-config... /usr/bin/gdal-config
> checking gdal-config usability... yes
> configure:  GDAL: 3.0.2
> checking GDAL version >= 1.11.4... yes
> checking GDAL version <= 2.5 or >= 3.0... yes
> checking gdal: linking with --libs only... yes
> checking GDAL: gdal-config data directory readable... yes
> checking GDAL: /usr/share/gdal/pcs.csv readable... yes
> configure:  pkg-config proj exists, will use it
> configure:  PROJ version: 6.2.1
> configure:  Support for PROJ >= 6.0.0 not yet available, deprecated API
> defined
> configure:  proj CPP flags: -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H
> configure:  PROJ LIBS: -lproj
> checking PROJ header API:... proj_api.h
> checking proj_api.h presence and usability... yes
> checking PROJ version agreement... no
> configure:  error: proj_api.h and pkg-config give different versions
> ERROR: configuration failed for package ‘rgdal’
> * removing ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5/rgdal’
>
>
> The error message suggests that I might have 2 versions of proj, but when I
> check pkg-config it all looks fine:
>
> which proj
> /usr/local/bin/proj
>
> pkg-config --modversion proj
> 6.2.1
Look at about line 41 (search for PJ_VERSION) in all the files found by:

locate proj_api.h

The one pointed to by pkg-config --cflags proj is the one stating 621, but
there must be another earlier in the includes search path.

Happy hunting!

Roger

>
>
> On 3/9/20 3:28 PM, Roger Bivand wrote:
>>  Sorry, no idea, only ever install PROJ and GDAL from source. Multiple PROJ
>>  installs? Does rgdal install from R-Forge?
>>
>>
>>  Roger Bivand
>>  Norwegian School of Economics
>>  Bergen, Norway
>>
>>  ------------------------------------------------------------------------
>>  *Fra:* R-sig-Geo <[hidden email]> på vegne av Tomislav
>>  Hengl <[hidden email]>
>>  *Sendt:* mandag 9. mars 2020, 15.23
>>  *Til:* [hidden email]
>>  *Emne:* [R-sig-Geo] Problems installing rgdal on ubuntu 18.04 from
>>  ubuntu-unstable GDAL: 3.0.2 / PROJ version: 6.2.1
>>
>>  I'm trying to install rgdal using ubuntu-unstable. First I do: sudo
>>  apt-get install libproj-dev libgdal-dev Then I get 2 different messages
>>  depending on the rgdal version: R CMD INSTALL rgdal_1.4-8.tar.gz *
>>  installing to library ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5’ *
>>  installing *source* package ‘rgdal’ ... ** package ‘rgdal’ successfully
>>  unpacked and MD5 sums checked configure: R_HOME:
>>  /opt/microsoft/ropen/3.5.1/lib64/R configure: CC: gcc -std=gnu99
>> configure:  CXX: g++ configure: C++11 support available configure: rgdal:
>>  1.4-7 checking for /usr/bin/svnversion... yes configure: svn revision: 845
>>  checking for gdal-config... /usr/bin/gdal-config checking gdal-config
>>  usability... yes configure: GDAL: 3.0.2 checking GDAL version >= 1.11.4...
>>  yes checking GDAL version <= 2.5 or >= 3.0... yes checking gdal: linking
>>  with --libs only... yes checking GDAL: gdal-config data directory
>>  readable... yes checking GDAL: /usr/share/gdal/pcs.csv readable... yes
>>  configure: pkg-config proj exists, will use it configure: PROJ version:
>>  6.2.1 configure: Support for PROJ >= 6.0.0 not yet available, deprecated
>>  API defined configure: proj CPP flags:
>>  -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H configure: PROJ LIBS: -lproj
>>  checking PROJ header API:... proj_api.h checking proj_api.h presence and
>>  usability... yes checking PROJ version agreement... no
>> configure:  error: proj_api.h and pkg-config give different versions
>>  ERROR: configuration failed for package ‘rgdal’ * removing
>>  ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5/rgdal’ >
>>  install.packages("rgdal") Installing package into
>>  ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5’ (as ‘lib’ is
>>  unspecified) % Total % Received % Xferd Average Speed Time Time Time
>>  Current Dload Upload Total Spent Left Speed 100 1631k 100 1631k 0 0 722k 0
>>  0:00:02 0:00:02 --:--:-- 722k * installing *source* package ‘rgdal’ ... **
>>  package ‘rgdal’ successfully unpacked and MD5 sums checked checking for
>>  g++... g++ checking whether the C++ compiler works... yes checking for C++
>>  compiler default output file name... a.out checking for suffix of
>>  executables... checking whether we are cross compiling... no checking for
>>  suffix of object files... o checking whether we are using the GNU C++
>>  compiler... yes checking whether g++ accepts -g... yes
>> configure:  CC: gcc -std=gnu99 configure: CXX: g++ configure: rgdal:
>>  1.3-3 checking for /usr/bin/svnversion... yes configure: svn revision: 759
>>  checking whether g++ supports C++11 features by default... yes
>> configure:  C++11 support available checking for gdal-config...
>>  /usr/bin/gdal-config checking gdal-config usability... yes configure:
>>  GDAL: 3.0.2 checking GDAL version >= 1.11.4... yes checking gdal: linking
>>  with --libs only... yes checking GDAL: /usr/share/gdal/pcs.csv readable...
>>  yes configure: pkg-config proj exists, will use it
>> configure:  PROJ version: 6.2.1 checking proj_api.h presence and
>>  usability... no configure: error: proj_api.h not found in standard or
>>  given locations. ERROR: configuration failed for package ‘rgdal’ *
>>  removing ‘/home/tomislav/R/x86_64-pc-linux-gnu-library/3.5/rgdal’ Warning
>>  in install.packages : installation of package ‘rgdal’ had non-zero exit
>>  status The downloaded source packages are in
>>  ‘/data/RTMP/RtmpZtTz9T/downloaded_packages’ pkg-config proj --libs -lproj
>>  > devtools::session_info() Session info
>>  ---------------------------------------------------------------------------------------------------
>>  setting value version R version 3.5.1 (2018-07-02) system x86_64,
>>  linux-gnu ui RStudio (1.2.1335) language en_US collate en_US.UTF-8 tz
>>  Europe/Amsterdam date 2020-03-09 Packages
>>  -------------------------------------------------------------------------------------------------------
>>  package * version date source base * 3.5.1 2018-08-05 local compiler 3.5.1
>>  2018-08-05 local datasets * 3.5.1 2018-08-05 local devtools 1.13.6
>>  2018-06-27 CRAN (R 3.5.1) digest 0.6.18 2018-10-10 CRAN (R 3.5.1) graphics
>>  * 3.5.1 2018-08-05 local grDevices * 3.5.1 2018-08-05 local grid 3.5.1
>>  2018-08-05 local lattice 0.20-35 2017-03-25 CRAN (R 3.5.1) memoise 1.1.0
>>  2017-04-21 CRAN (R 3.5.1) methods * 3.5.1 2018-08-05 local RevoUtils *
>>  11.0.1 2018-08-01 local RevoUtilsMath * 11.0.0 2018-08-01 local sp * 1.3-1
>>  2018-06-05 CRAN (R 3.5.1) stats * 3.5.1 2018-08-05 local tools 3.5.1
>>  2018-08-05 local utils * 3.5.1 2018-08-05 local withr 2.1.2 2018-03-15
>>  CRAN (R 3.5.1) I have tried removing all installations of GDAL, proj and
>>  QGIS 2x but no luck - always the same problem with "proj_api.h". What are
>>  my best options? thank you!
>>  _______________________________________________ R-sig-Geo mailing list
>>  [hidden email] https://stat.ethz.ch/mailman/listinfo/r-sig-geo
>
>
--
Roger Bivand
Department of Economics, Norwegian School of Economics,
Helleveien 30, N-5045 Bergen, Norway.
voice: +47 55 95 93 55; e-mail: [hidden email]
https://orcid.org/0000-0003-2392-6140
https://scholar.google.no/citations?user=AWeghB0AAAAJ&hl=en
_______________________________________________
R-sig-Geo mailing list
[hidden email]
https://stat.ethz.ch/mailman/listinfo/r-sig-geo
Roger Bivand
Department of Economics
Norwegian School of Economics
Helleveien 30
N-5045 Bergen, Norway